from django.conf.urls.defaults import *

urlpatterns = patterns('',
    url(r'^$',
        'opportunities.views.filter',
        name='filter'),
    
    url(r'^package/(?P<package_name>.+)/$',
        'opportunities.views.single_package',
        name='single_package'),
    
    url(r'^opportunity/(?P<opportunity_id>[\d]+)/edit/$',
        'opportunities.views.opportunity_edit',
        name='opportunity_edit'),
    
    
    url(r'^xhr/results/$',
        'opportunities.views.xhr_filter_results'),
    
    url(r'^xhr/results/(?P<package_id>[\d]+)/$',
        'opportunities.views.xhr_package_details'),
    
    url(r'xhr/opportunity/(?P<opportunity_id>[\d]+)/$',
        'opportunities.views.xhr_opportunity_li'),
    
    url(r'^xhr/opportunity/(?P<opportunity_id>[\d]+)/edit/$',
        'opportunities.views.xhr_opportunity_edit'),
)
