from opportunities.models import PackageSet, SourcePackage, OpportunityList, Opportunity, Note, ActionLogEntry
from django.contrib.auth.models import User

from services import model_service

def user_service(request, url):
    return model_service(User, request, url, include=['id', 'username', 'groups'])

def packageset_service(request, url):
    return model_service(PackageSet, request, url)

def sourcepackage_service(request, url):
    return model_service(SourcePackage, request, url)

def opportunitylist_service(request, url):
    return model_service(OpportunityList, request, url)

def opportunity_service(request, url):
    return model_service(Opportunity, request, url)

def note_service(request, url):
    return model_service(Note, request, url)

def actionlogentry_service(request, url):
    return model_service(ActionLogEntry, request, url)
